Bug 440645 - service failover hangs at quotaoff in /usr/share/cluster/fs.sh
Summary: service failover hangs at quotaoff in /usr/share/cluster/fs.sh
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 637678
TreeView+ depends on / blocked
 
Reported: 2008-04-04 11:57 UTC by Bryn M. Reeves
Modified: 2018-10-19 20:09 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 637678 (view as bug list)
Environment:
Last Closed: 2008-07-25 19:16:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to avoid running quotaoff for file systems with no quotas configured (1.93 KB, patch)
2008-04-04 11:57 UTC, Bryn M. Reeves
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0791 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2008-07-25 19:14:58 UTC

Description Bryn M. Reeves 2008-04-04 11:57:07 UTC
Description of problem:
Under certain circumstances the quotaoff command may hang while disabling quotas
for an NFS mounted volume (for e.g. if the server or rpc.quotad is unavailable).

This causes the /usr/share/cluster/fs.sh agent to hang shutting down the resource.

Quotaoff should not hang but if quotas are not enabled or wanted for the file
system concerned it's better to avoid the problem by just not running it.

Version-Release number of selected component (if applicable):
rgmanager-1.9.53

How reproducible:
100% for certain configurations

Steps to Reproduce:
1. Configure a file system resource that mounts an NFS server
2. Activate the resource on a node
3. Make the NFS server go away
4. Try to shutdown or relocate the service
  
Actual results:
fs.sh hangs at quotaoff

Expected results:
fs.sh does not hang & shutdown / relocation completes with success

Additional info:
This was originally seen in a case where nodes were mounting their own NFS
exports. When the service was shut down, the NFS server stopped first causing
the quotaoff to hang. After discussion with Lon he provided a patch (attached)
to work around this by avoiding running quotaoff if quotas are not configured
for a given file system.

Comment 1 Bryn M. Reeves 2008-04-04 11:57:07 UTC
Created attachment 300415 [details]
Patch to avoid running quotaoff for file systems with no quotas configured

Comment 2 RHEL Product and Program Management 2008-04-04 11:58:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Lon Hohberger 2008-04-15 15:07:02 UTC
Pushed to RHEL4 git branch

Comment 6 errata-xmlrpc 2008-07-25 19:16:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0791.html



Note You need to log in before you can comment on or make changes to this bug.